@media (width <= 980px) {
    .section-affiliates-menu {
        --menu-display: none;
        --menu-width: 360px;
        --menu-translate-x: 100%;
        --menu-shadow-color: transparent;

        &[data-status="closed"] {
            --menu-display: none;
            --menu-translate-x: var(--menu-width);
            --menu-shadow-color: transparent;
        }

        &[data-status="opening"] {
            --menu-display: flex;
            --menu-translate-x: var(--menu-width);
            --menu-shadow-color: rgb(from #000 r g b / 0.1);
        }

        &[data-status="open"] {
            --menu-display: flex;
            --menu-translate-x: 0;
            --menu-shadow-color: rgb(from #000 r g b / 0.5);
        }

        &[data-status="closing"] {
            --menu-display: flex;
            --menu-translate-x: var(--menu-width);
            --menu-shadow-color: transparent;
        }

        @media (width <= 440px) {
            --menu-width: calc(100% - 24px);
        }

        @media (width <= 320px) {
        }

        position: fixed;
        z-index: 9999;
        display: var(--menu-display);
        flex-direction: column;
        align-items: end;
        justify-content: start;
        transition: background-color .2s linear;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        overflow: hidden;
        overscroll-behavior: contain;
        background-color: rgb(from #000 r g b / 0.5);

        .menu-wrapper {
            position: relative;
            z-index: 9999;
            display: flex;
            flex-direction: column;
            align-items: stretch;
            justify-content: start;
            width: var(--menu-width);
            height: 100%;
            transform: translateX(var(--menu-translate-x));
            transition: all .3s linear;
            background-color: #fff;
            /*box-shadow:*/
            /*    0 0 4px 0 #000,*/
            /*    0 0 0 10000px rgb(from #000 r g b / 0.25)*/
            /*;*/
            box-shadow:
                16px 0 48px 0 var(--color-btm-dark-blue),
                0 0 0 10000px var(--menu-shadow-color)
            ;

            .menu-header {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: end;
                height: 56px;
                padding: 0 4px 0 0;
                border-bottom: 1px solid rgb(from var(--color-btm-dark-blue) r g b / 0.25);

                button {
                    position: relative;
                    width: 48px;
                    height: 48px;
                    border: 0;
                    cursor: pointer;
                    background-color: transparent;

                    &:before {
                        content: '';
                        display: block;
                        width: 24px;
                        height: 24px;
                        background-color: var(--color-btm-dark-red);
                        mask: url('/assets/svg/close-6ltwXpU.svg') no-repeat center / contain;
                    }
                }
            }

            .menu-container {
                flex: 1;
                display: flex;
                flex-direction: column;
                align-items: stretch;
                justify-content: start;
                height: 0;
                overflow-y: auto;
                overscroll-behavior: contain;


                .menu-branding {
                    display: flex;
                    flex-direction: column;
                    align-items: start;
                    justify-content: center;
                    height: 80px;
                    padding: 16px;
                    background-color: rgb(from var(--color-btm-dark-blue) r g b / 0.05);

                    .logo {
                        position: relative;
                        display: flex;
                        flex-direction: column;
                        align-items: start;
                        justify-content: start;
                        gap: 6px;
                        color: #2E3C80;
                        font-size: 18px;
                        line-height: 1;
                        font-weight: 500;
                        text-decoration: none;

                        &:before {
                            content: '';
                            display: block;
                            aspect-ratio: 4.225;
                            height: 30px;
                            background-size: contain;
                            background-repeat: no-repeat;
                            background-position: center center;
                            background-image: url('/assets/svg/logo/full-jiQOsmh.svg');
                        }
                    }
                }

                .menu-links {
                    position: relative;
                    z-index: 1;
                    display: flex;
                    flex-direction: column;
                    align-items: stretch;
                    justify-content: start;

                    .links-heading {
                        padding: 32px 0 6px 16px;
                        font-size: 14px;
                        line-height: 1;
                        font-weight: 400;
                        text-transform: uppercase;
                        color: var(--color-btm-dark-grey);
                        font-family: 'IBM Plex Sans', sans-serif;
                        border-bottom: 1px solid rgb(from var(--color-btm-dark-blue) r g b / 0.1);
                    }

                    a {
                        --color: rgb(from var(--color-btm-dark-blue) r g b / 0.75);
                        --icon: url('/assets/svg/link-qunGgxI.svg');
                        --icon-color: var(--color-btm-dark-blue);
                        --background-color: #fff;

                        position: relative;
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: start;
                        gap: 12px;
                        height: 48px;
                        padding: 0 0 0 16px;
                        text-decoration: none;
                        font-size: var(--menu-item-font-size);
                        line-height: 1;
                        font-weight: 600;
                        color: var(--color);
                        transition: color .3s linear, background-color .3s linear;
                        border-bottom: 1px solid rgb(from var(--color-btm-dark-blue) r g b / 0.1);
                        background-color: var(--background-color);
                        font-family: 'Poppins', sans-serif;

                        &.icon-home { --icon: url('/assets/svg/home-RuSDesO.svg'); }
                        &.icon-pets { --icon: url('/assets/svg/dog-S_mxbBV.svg'); }
                        &.icon-weight { --icon: url('/assets/svg/scale-IKaFPQD.svg'); }
                        &.icon-health { --icon: url('/assets/svg/health-IYXZ1fL.svg'); }
                        &.icon-guide { --icon: url('/assets/svg/hair-styling-DwGBg-E.svg'); }
                        &.icon-nutrition { --icon: url('/assets/svg/apple-AZ-453n.svg'); }
                        &.icon-testimonials { --icon: url('/assets/svg/group-a4fleKG.svg'); }
                        &.icon-about { --icon: url('/assets/svg/about-F3Pgc8H.svg'); }
                        &.icon-account { --icon: url('/assets/svg/account-W7Aae-7.svg'); }
                        &.icon-contact { --icon: url('/assets/svg/mail-K9fvlky.svg'); }

                        &.item-selected {
                            --color: var(--color-btm-orange);
                            --icon-color: var(--color-btm-orange);
                            --background-color: rgb(from var(--color-btm-orange) r g b / 0.1);
                        }

                        &:hover {
                            --color: var(--color-btm-orange);
                        }

                        &:before {
                            content: '';
                            display: block;
                            width: 24px;
                            height: 24px;
                            border-radius: 4px;
                            background-color: var(--icon-color);
                            mask: var(--icon) no-repeat center;
                        }
                    }
                }
            }
        }
    }
}

@media (width > 980px) {
    .section-affiliates-menu {
        .menu-wrapper {
            .menu-header {
                display: none;
            }

            .menu-container {
                .menu-branding {
                    display: none;
                }

                .menu-links {
                    display: flex;
                    flex-direction: column;
                    align-items: start;
                    justify-content: start;
                    gap: 12px;
                    min-width: 240px;

                    .links-heading {
                        padding: 0 0 6px 0;
                        font-size: 12px;
                        line-height: 1;
                        font-weight: 400;
                        text-transform: uppercase;
                        color: rgb(from #fff r g b / 0.75);
                        font-family: 'IBM Plex Sans', sans-serif;
                        border-bottom: 1px solid rgb(from var(--color-btm-dark-blue) r g b / 0.1);

                        &:not(:first-child) {
                            margin-top: 32px;
                        }
                    }

                    .menu-sublinks {
                        display: flex;
                        flex-direction: column;
                        align-items: start;
                        justify-content: start;
                        gap: 12px;
                        padding: 8px 0 8px 18px;
                        margin-left: 6px;
                        border-left: 1px solid rgb(from #fff r g b / 0.25);

                        a {
                            font-size: 16px;

                            &:before {
                                width: 8px;
                                height: 8px;
                                border-radius: 0;
                            }
                        }
                    }

                    a {
                        --menu-text-color: #fff;
                        --menu-font-weight: 400;
                        --menu-highlight-background-color: rgb(from #fff r g b / 0.2);
                        --menu-highlight-border-color: rgb(from #fff r g b / 0.35);

                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: start;
                        gap: 12px;
                        font-size: 18px;
                        line-height: 1;
                        font-weight: var(--menu-font-weight);
                        text-decoration: none;
                        color: var(--menu-text-color);
                        transition: color .3s linear;

                        &:hover {
                            --menu-text-color: var(--color-btm-orange);
                        }

                        &.item-selected {
                            --menu-text-color: var(--color-btm-orange);
                            --menu-font-weight: 600;
                            --menu-highlight-background-color: rgb(from var(--color-btm-orange) r g b / 0.75);
                            --menu-highlight-border-color: var(--color-btm-orange);
                        }

                        &:before {
                            content: '';
                            display: block;
                            width: 12px;
                            height: 12px;
                            border-radius: 50%;
                            border: 1px solid var(--menu-highlight-border-color);
                            background-color: var(--menu-highlight-background-color);
                        }
                    }
                }
            }
        }
    }
}
